:root{
  --background-color: white;
  --text-color: black;
  --special-background-color: hsl(0,0%,92.5%);
  --line-color: black;
}

html {
    scroll-behavior: smooth;
}

body {
	font-family: "Fredoka", Sans-Serif;
	margin: 0;
	background-color: var(--background-color);
	color: var(--text-color);
	transition: all 0.5s ease-in-out 0.1s;
}



.hidden {
	display: none;
}

hr {
	border: none;
	height: 1px;
	background-color: var(--line-color);
	transition: background-color 0.5s ease-in-out 0.1s;
	margin: 5px 0;
}

#switch-mode {
  -webkit-appearance: none; 
  appearance: none;        
  margin: 0;
}

#switch-mode:checked ~ body,
#switch-mode:checked ~ .content, /* Menargetkan kontainer jika struktur berbeda */
:has(#switch-mode:checked) {
  --background-color: #121212;
  --text-color: #ffffff;
  --special-background-color: hsl(0,0%,20.5%);
  --line-color: white;
}



/* main */
main {
  margin-bottom: 20px;
}

aside {
	font-weight: 600;
	font-size: 13px;
	background-color: var(--special-background-color);
	transition: background-color 0.5s ease-in-out 0.1s;
	text-align: center;
}

/* section */
section {
	font-size: 18px;
	background-color: var(--special-background-color);
	transition: background-color 0.5s ease-in-out 0.1s;
}

section p,
section a,
section h4,
section h3{
	margin-left: 10px;
	margin-top: 0;
	padding: 0;
	font-weight: 500;
}

section h3 {
  font-weight: 700;
}

section p {
  width: 66%;
}

section a {
  text-decoration: none;
  color: hsl(215,100%,50%);
}

.container {
	background-color: var(--background-color);
	transition: background-color 0.5s ease-in-out 0.1s;
	font-size: 18px;
	text-align: center;
}

#profile {
	width: 50px;
	height: 50px;
	border-radius: 50%;
	display: block;
	margin: auto;
	margin-top: 30px;
	margin-bottom: 0px;
}

header {
	margin: 0px;
	text-align: center;
}

header h4 {
	font-size: 20px;
}

header h1 {
	font-size: 30px;
	font-family: "Outfit";
}

nav ul {
	display: flex;
	flex-direction: row;
	justify-content: center;
	list-style: none;
	margin: 0;
	padding: 20px;
}

nav ul > li {
	margin: 2px;
}

li > a {
	text-decoration: none;
	color: var(--text-color);
	transition: color 0.5s ease-in-out 0.1s;
	font-size: 15px;
	font-weight: 900;
}

header p {
	color: grey;
	font-family: "Outfit";
}

/* article */
article p,
article h4,
article ul {
	margin-left: 10px;
}

article h3 {
	text-align: center;
	font-size: 18px;
}

/* footer */
footer{
  text-align: center;
}

#blockquote {
  border: solid 2px;
  border-radius: 20px;
  margin: 0 20px;
  text-align: left;
}

@media screen and (min-width: 949px) {
	.hidden {
		display: block;
	}
	.temporary {
		display: none;
	}

	hr {
		margin: 0;
	}
	
	main {
	  margin: 0 0 20px 0;
	}

	aside,
	section,
	article {
		min-height: 400px;
		height: 500px;
		max-height: 400px;
		border-left: 1px;
		border-style: none solid;
		border-bottom: 2px solid;
	}

	#profile {
		position: absolute;
		left: 10px;
		top: -22px;
	}

	header > h4 {
		position: absolute;
		top: -40px;
		left: 75px;
		text-align: left;
		font-size: 40px;
	}

	nav {
		position: relative;
		border: solid 1px;
		margin: 0;
		top: 0;
	}

	nav > ul {
		position: absolute;
		top: 0;
		right: 0;
		margin: 0;
	}
	
	nav a, nav i {
		padding: 5px;
		font-weight: 900;
	  font-size: 2em;
	}

	header {
		margin-bottom: 10em;
	}

	header > h1,
	header > p {
		font-size: 3em;
		margin: 0;
	}

	header h1 {
		margin-top: 4em;
	}

	.container {
		font-size: 25px;
	}

	aside > p {
		margin: 0;
		padding: 0;
	}

	/* section */
	section {
		font-size: 20px;
		background-color: var(--background-color);
		transition: background-color 0.5s ease-in-out 0.1s;
	}

	section p,
	section a,
	section h4,
	section h3 {
		font-size: 25px;
		margin: 5px;
		margin-left: 20px;
		margin-bottom: 10px;
		font-weight: 500;
	}
	
	section h3 {
	  margin-top: 20px;
	  font-weight: 700;
	}
	
	/* article */ 
	article {
	  font-size: 18px;
	  margin: 0;
	  padding: 0;
	  font-weight: 600;
	}
	
	/* footer */
	#blockquote {
	  float: left;
	  width: 25%;
	  margin: 4%;
	  font-size: 1.5em;
	  border-radius: 30px;
	  font-weight: 600;
	}
	
	footer p {
	  text-align: center;
	  font-size: 1.2em;
	  font-weight: 500;
	}
	
	footer .container p {
	  width: 75%;
	}
	
	footer .container{
	  border: none;
	  margin: 2em;
	  text-align: left;
	  align-items: center;
	}
	
	footer h3 {
	  margin: 20px 0 0 0;
	}

	aside {
		float: left;
		width: 25%;
		background-color: var(--background-color);
		transition: background-color 0.5s ease-in-out 0.1s;
		font-size: 20px;
		padding: 0;
		margin: 0;
	}

	section {
		float: left;
		width: 42%;
	}

	article {
		float: left;
		width: 32%;
		border-right: none;
	}
}
